package com.axiante.samples.stream.utils;

import static org.hamcrest.Matchers.greaterThan;
import static org.junit.Assert.assertThat;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.hamcrest.CoreMatchers;
import org.junit.Test;

public class TableProviderTest {

    @Test
    public void testProvider() throws SQLException {
	TableProvider p = new TableProvider();
	int i = 0;
	ResultSet test = p.selectRestaurants();
	if (test != null){
	    while(test.next()) {
		++i;
	    }
	}
	assertThat(i, greaterThan(0));
	assertThat(i, CoreMatchers.equalTo(TableProvider.rows));
	
    }
}
